﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System.Activities;

namespace Benday.TeamBuild2010.UnitTests
{
    [TestClass]
    public class WorkflowFixture : UnitTestBase
    {
        [TestMethod]
        public void WorkflowFixture_CreateAndDeleteIisWebApplication()
        {
            DeleteApplicationIfItExists(STR_DefaultWebSite, "TestApplication");

            // Create an instance of our test workflow
            var workflow = new CreateWebApplicationActivity();

            // Create the workflow run-time environment
            var workflowInvoker = new WorkflowInvoker(workflow);

            // New up an instance of our mock BuildDetail object to add to the Workflow
            // environment's extensions
            workflowInvoker.Extensions.Add(new BuildDetail());

            // Invoke the workflow and capture the outputs
            IDictionary<String, Object> outputs = workflowInvoker.Invoke();            
        }
    }
}
